.footer {
    width: 100%;
    background-image: url('./../images/footer-bg.jpg');
    background-position: center;
    background-size: cover;


    &__top {
        width: 100%;
        padding: 50px 0 50px 60px;
        display: flex;
        justify-content: flex-start;
        align-items: center;
        text-transform: uppercase;
    }

    &__text {
        color: white;
        font-size: 1.6vw;
        font-weight: 700;
        margin-right: 20px;
    }

    &__frame {
        font-size: 2.5vw;
        padding: 5px 15px;
        text-transform: uppercase;
        font-weight: 700;
        color: white;
        border: 1px solid white;
    }

    &__bottom {
        width: 100%;
        display: flex;
        justify-content: center;
        align-items: center;
        border-top: 1px solid white;
        padding: 50px 0;
    }

    &__link {
        color: white;
        font-size: 14px;
        text-transform: uppercase;
        display: flex;
        flex-direction: column;
        justify-content: flex-start;
        align-items: center;
        &::after {
            content: "";
            width: 0%;
            height: 1px;
            background-color: white;
            transition: all .15s ease-in-out;
        }

        &:hover {
            &::after {
                width: 100%;
            }
        }
    }
}

@media(max-width: 1023px) {
    .footer {
        &__top {
            flex-direction: column;
            justify-content: center;
            padding-left: 0;
        }

        &__text {
            font-size: 12px;
            text-align: center;
            margin-right: 0;
            margin-bottom: 20px;
        }

        &__frame {
            font-size: 16px;
        }
    }
}